Mpappn paénong - ®payn mopwyv
18/02/2014 14:18 - Yannis Exidaridis

Status: EmAupevo Start date: 18/02/2014
Priority: YwnAn Due date:

Assignee: % Done: 0%
Category: Estimated time: 0.00 hour
Target version: 3.0 Spent time: 0.00 hour
Description

H @payn dev @patvetal va AELToupyel owoTa. Av YLVEL (ppayn OE€ KATIOLO TIOPO TOTE eV TIPOXWPAEL 1| YPauun padnong kaboAou
(aro tn TAgupa Tou XPnoTn).

History

#1 - 18/02/2014 16:02 - Thanos Kyritsis

lMavvn, deq Atyo to changeset a175efb342d3 (kat £dw) kat kave To upgrade 0To axnua g faong av xpetaletat. H dlopbwaon autn vopt{w Auvel
TO MPOPANua.

#2 - 18/02/2014 16:26 - Yannis Exidaridis
Oelel pla dopbwon ataif .. or .. and Tng ouvBnkng ToU eAeyXeL TIOTE €Lval blocked o opog.
210 http://hg.gunet.gr/openeclass/rev/d0dc2253a5d9

N OwOoTN CUVONKN sLvaL

if (($module['lock’] == 'CLOSE")
and ($module['credit’] != 'CREDIT'
or ($module['lesson_status'] |='COMPLETED' and $module['lesson_status'] != 'PASSED'"))) {

®awvetal va douleuel cwoTa. Ba To eAeyEw ALyo akoua..

#3 - 18/02/2014 17:06 - Thanos Kyritsis

OK, npooete opwg pnv Eavaneoelg oto bug tou Issue #108. Ekel To mpoBAnua epgpavifotav otav urmpxav NMoAAEG (pPAYEG: EPTAVE PLa
KATAOTAON TIOU PTIOPOUCEG OVTWG va EEMepaccelg Tnv 1n ¢ppayn (Aoywv Twv egalpecewv tou IF), va eloal ota evdlapeca modules Kat pHoALG
MaTNOELG 0TN 2N Pppayn cupnepLpepotav allokota oto Ul

' auto Kat e1xa EnAwoel 0Ao EKELVO TO TEPAOTLO IF Kal Kpatnoa Tn ¢ppayn va Kavel Katl, 000 TILO artAo Kat AOYLKO yLveTtal. AnAadn mepLmou o,TL
Kat to visibility, cav va exoupe 2 eruneda visibility. Auteq ol eEalpeoelg Turou $modulef'lesson_status'] 'COMPLETED' kat $module['lesson_status']

'PASSED' pou gatvetal mwg £L0ayouv TIOAUTTAOKOTNTA TOU OV apKOUV OVO auta Ta if yia va tn SLayeLpLoTouy, Lowg XpelaleTal ETUMAEOV
kwdkag yta handling.

#4 - 04/03/2014 11:44 - Yannis Exidaridis

- Status changed from Nea to EruAuuevo

EruAubnke.
